# AzuAntiArthriticCrafting

### AzuAnti-ArthriticCrafting. Gives you an input field to enter the amount of items you want to craft (and a search filter feature for recipes). Instead of having to click the craft button 100 times or a fancy plus button 5-10 times. Meant to replace mods that still make you click like MultiCraft.


This mod is compatible with [AzuCraftyBoxes](https://thunderstore.io/c/valheim/p/Azumatt/AzuCraftyBoxes/), [CraftFromContainers](https://valheim.thunderstore.io/package/KxEdna/aedenthorn_CraftFromContainer/) by Aedenthorn/Adenthorn's Collaborators, and [TilValhalla](https://thunderstore.io/c/valheim/p/kevinwilso00/TillValhalla/). `Note: The CraftFromContainers version that was tested was the reupload on thunderstore.`

`This mod uses a file watcher. If the configuration file is not changed with BepInEx Configuration manager, but changed in the file directly, upon file save, it will sync the changes to all clients.`

## Features
- **Scroll to Change Quantity**: Hover over the input box and use the scroll wheel to adjust the craft amount. Hold LeftShift to increment by 10 instead of 1.
- **Search by Mod Name**: Use `@modname` in the search box to filter items from specific mods (e.g., `@jewelcrafting`).
- **Recipe Requirement Search**: Prefix searches with `!` to find items based on their crafting requirements.
- **ServerSync Integration**: Crafting times are synchronized with the server. (if installed on the server and client)
- **Improved Compatibility**: Works seamlessly with Auga, Jewelcrafting, and other mods. If you find a mod it's not compatible with, please let me know.
- **User-Friendly UI**: Enhanced user interface aligned with Valheim's vanilla style.
- **Crafting Speed**: Crafting speed [synced with the server] by default.


---

> ## Installation Instructions
***You must have BepInEx installed correctly! I can not stress this enough.***

#### Windows (Steam)

1. Locate your game folder manually or start Steam client and :

* Right click the Valheim game in your steam library
* "Go to Manage" -> "Browse local files"
* Steam should open your game folder

2. Extract the contents of the archive into the BepInEx\plugins folder.
3. Locate Azumatt.AzuAntiArthriticCrafting.cfg under BepInEx\config and configure the mod to your needs

#### Server

`This mod is not needed on a server. It's client only. Install on each client that you wish to have the mod load.`

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>